Skip to content

Updates a setting with the specified ID.

Request

This method will update an existing setting with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The updated setting that will be saved.

allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bank_account_idstring(Bank Account)required

The default bank account that the store should use to receive payments

bill_my_organization_optionsobject(Bill My Organization Options)
bill_my_parent_organization_optionsobject(Bill My Parent Organization Options)
business_unit_idstring(Business Unit)required

The business unit of the store

cancellation_fee_product_idstring(Cancellation Fee Product)

The ID of the product used for cancellation fees

checkout_donation_optionsobject(Checkout Donation Options)required
contact_role_permissionsArray of objects
credit_card_minimum_range_endnumber, (float)(Credit Card Minimum Range End)

If set, the maximum amount for which credit cards can be taken

credit_card_minimum_range_startnumber, (float)(Credit Card Minimum Range Start)

If set, the minimum amount for which credit cards can be taken

credit_card_modestring(Credit Card Mode)

Determines whether or not credit cards are accepted

Enum:"disabled""enabled""range"
credit_card_processing_fee_modestring(Credit Card Processing Fee Mode)

Determines how credit card processing fees should be handled

Enum:"charge""do not charge""prompt user"
credit_card_processing_fee_optionsobject(Credit Card Processing Fee Options)required
custom_application_portal_templatestring(Custom Application Portal Template)required
default_application_360_screen_idstring(Default Application 360 Screen)certifications-applications__.*

The default page layout when showing an certification

default_application_page_layout_idstring(Default Application Page Layout)certifications-applications__.*

The default page layout when showing an certification

default_certification_360_screen_idstring(Default Certification 360 Screen)certifications-certifications__.*

The default page layout when showing a certification

default_certification_page_layout_idstring(Default Certification Page Layout)certifications-certifications__.*

The default page layout when showing a certification

disable_electronic_payment_vaultingboolean(Disable Electronic Payment Vaulting)

If set, in the portal people are not allowed to save credit cards

enable_bill_my_organizationboolean(Enable Bill My Organization)

If set, the user has the option to bill their organization

enable_bill_my_parent_organizationboolean(Enable Bill My Parent Organization)

If set, the user has the option to bill their organization's parent organization

enable_custom_application_portal_templateboolean(Enable Custom Application Portal Template)

If set, a custom template is used to show the application information in the portal

enable_donations_at_checkoutboolean(Enable Donations At Checkout)

If selected, users will be prompted to make a donation upon checking out

enable_electronic_checksboolean(Enable Electronic Checks)

If set, electronic checks are allowed

enable_multiple_certification_discountsboolean(Enable Multiple Certification Discounts)

Whether or not discounts for multiple certifications are enabled

enable_pay_laterboolean(Enable Pay Later)

If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

enable_payroll_deductionboolean(Enable Payroll Deduction)

If set, payroll deduction is allowed

enable_split_paymentsboolean(Enable Split Payments)

If set, users are allowed to split payments

enable_training_provider_administrationboolean(Enable Training Provider Administration)

If set, training providers can administer in the portal

enable_training_provider_billingboolean(Enable Training Provider Billing)

If set, training provider billing is enabled in the UI

installment_plan_optionsArray of objects, non-emptyrequired
invoice_payment_terms_idstring(Invoice Payment Terms)

The payment terms for invoices; if left blank, default is used

invoice_template_idstring(Invoice Template)

The template to use for invoices created during this process

merchant_account_idstring(Merchant Account)required

The merchant account that the store should use to receive payments

multiple_certification_discount_optionsobject(Multiple Certification Discount Options)required
notesstring(Notes)

Notes

pay_later_optionsobject(Pay Later Options)
portal_browse_certification_programs_modestring(Portal Browse Certification Programs Mode)

The way certification programs are browsed in the portal

Enum:"list""tiled"
restocking_fee_product_idstring(Restocking Fee Product)

The ID of the product used for restocking fees

special_instructionsstring(Special Instructions)

Instructions shown to the user

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

training_provider_administration_optionsobject(Training Provider Administration Options)
training_provider_billing_optionsobject(Training Provider Billing Options)required
use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether to use pro forma invoices when user elects to pay later

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/settings/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "allow_customer_to_choose_installment_plan": true,
    "bank_account_id": "string",
    "bill_my_organization_options": {
      "billing_address": "do not show",
      "purchase_order_number": "do not show",
      "reference_number": "string"
    },
    "bill_my_parent_organization_options": {
      "billing_address": "do not show",
      "purchase_order_number": "do not show",
      "reference_number": "string"
    },
    "business_unit_id": "string",
    "cancellation_fee_product_id": "string",
    "checkout_donation_options": {
      "simple_checkout_donation_options": {
        "allow_user_to_specify_custom_amount": true,
        "donation_ask_text": "string",
        "donation_denominations": [
          0.1
        ],
        "donation_information": "string",
        "donation_product_id": "string",
        "override_donation_denominations": true,
        "suggested_donation": 0.1
      },
      "type": "simple"
    },
    "contact_role_permissions": [
      {
        "apply_for_certification": true,
        "renew_certification": true,
        "role_id": "string",
        "training_provider_administrator": true,
        "view_applications": true
      }
    ],
    "credit_card_minimum_range_end": 0.1,
    "credit_card_minimum_range_start": 0.1,
    "credit_card_mode": "disabled",
    "credit_card_processing_fee_mode": "charge",
    "credit_card_processing_fee_options": {
      "fee_percentage": 0.1,
      "maximum_fee": 0.1,
      "minimum_fee": 0.1,
      "product_id": "string",
      "prompt_sub_text": "string",
      "prompt_text": "string"
    },
    "custom_application_portal_template": "string",
    "default_application_360_screen_id": "string",
    "default_application_page_layout_id": "string",
    "default_certification_360_screen_id": "string",
    "default_certification_page_layout_id": "string",
    "disable_electronic_payment_vaulting": true,
    "enable_bill_my_organization": true,
    "enable_bill_my_parent_organization": true,
    "enable_custom_application_portal_template": true,
    "enable_donations_at_checkout": true,
    "enable_electronic_checks": true,
    "enable_multiple_certification_discounts": true,
    "enable_pay_later": true,
    "enable_payroll_deduction": true,
    "enable_split_payments": true,
    "enable_training_provider_administration": true,
    "enable_training_provider_billing": true,
    "installment_plan_options": [
      {
        "additional_cost": 0.1,
        "installment_plan_id": "string",
        "is_default": true
      }
    ],
    "invoice_payment_terms_id": "string",
    "invoice_template_id": "string",
    "merchant_account_id": "string",
    "multiple_certification_discount_options": {
      "discount_amount": 0.1,
      "discount_type": "amount",
      "ineligible_program_ids": [
        "string"
      ],
      "start_after": 0.1
    },
    "notes": "string",
    "pay_later_options": {
      "billing_address": "do not show",
      "purchase_order_number": "do not show",
      "reference_number": "string"
    },
    "portal_browse_certification_programs_mode": "list",
    "restocking_fee_product_id": "string",
    "special_instructions": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "training_provider_administration_options": {
      "access_saved_queries": true,
      "create_contact_form_id": "string",
      "edit_contact_form_id": "string",
      "saved_queries": [
        {
          "display_name": "string",
          "saved_query_id": "string"
        }
      ]
    },
    "training_provider_billing_options": {
      "certification_fee_id": "string",
      "course_fee_id": "string",
      "live_exam_fee_id": "string",
      "reinstatement_fee_id": "string",
      "remote_proctor_exam_fee_id": "string",
      "renewal_fee_id": "string",
      "retest_fee_id": "string"
    },
    "use_pro_forma_invoices": true
  }'

Responses

The setting was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bank_account_idstring(Bank Account)required

The default bank account that the store should use to receive payments

bill_my_organization_optionsobject(Bill My Organization Options)
bill_my_parent_organization_optionsobject(Bill My Parent Organization Options)
business_unit_idstring(Business Unit)required

The business unit of the store

cancellation_fee_product_idstring(Cancellation Fee Product)

The ID of the product used for cancellation fees

checkout_donation_optionsobject(Checkout Donation Options)required
contact_role_permissionsArray of objects
credit_card_minimum_range_endnumber, (float)(Credit Card Minimum Range End)

If set, the maximum amount for which credit cards can be taken

credit_card_minimum_range_startnumber, (float)(Credit Card Minimum Range Start)

If set, the minimum amount for which credit cards can be taken

credit_card_modestring(Credit Card Mode)

Determines whether or not credit cards are accepted

Enum:"disabled""enabled""range"
credit_card_processing_fee_modestring(Credit Card Processing Fee Mode)

Determines how credit card processing fees should be handled

Enum:"charge""do not charge""prompt user"
credit_card_processing_fee_optionsobject(Credit Card Processing Fee Options)required
custom_application_portal_templatestring(Custom Application Portal Template)required
default_application_360_screen_idstring(Default Application 360 Screen)certifications-applications__.*

The default page layout when showing an certification

default_application_page_layout_idstring(Default Application Page Layout)certifications-applications__.*

The default page layout when showing an certification

default_certification_360_screen_idstring(Default Certification 360 Screen)certifications-certifications__.*

The default page layout when showing a certification

default_certification_page_layout_idstring(Default Certification Page Layout)certifications-certifications__.*

The default page layout when showing a certification

disable_electronic_payment_vaultingboolean(Disable Electronic Payment Vaulting)

If set, in the portal people are not allowed to save credit cards

enable_bill_my_organizationboolean(Enable Bill My Organization)

If set, the user has the option to bill their organization

enable_bill_my_parent_organizationboolean(Enable Bill My Parent Organization)

If set, the user has the option to bill their organization's parent organization

enable_custom_application_portal_templateboolean(Enable Custom Application Portal Template)

If set, a custom template is used to show the application information in the portal

enable_donations_at_checkoutboolean(Enable Donations At Checkout)

If selected, users will be prompted to make a donation upon checking out

enable_electronic_checksboolean(Enable Electronic Checks)

If set, electronic checks are allowed

enable_multiple_certification_discountsboolean(Enable Multiple Certification Discounts)

Whether or not discounts for multiple certifications are enabled

enable_pay_laterboolean(Enable Pay Later)

If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

enable_payroll_deductionboolean(Enable Payroll Deduction)

If set, payroll deduction is allowed

enable_split_paymentsboolean(Enable Split Payments)

If set, users are allowed to split payments

enable_training_provider_administrationboolean(Enable Training Provider Administration)

If set, training providers can administer in the portal

enable_training_provider_billingboolean(Enable Training Provider Billing)

If set, training provider billing is enabled in the UI

installment_plan_optionsArray of objects, non-emptyrequired
invoice_payment_terms_idstring(Invoice Payment Terms)

The payment terms for invoices; if left blank, default is used

invoice_template_idstring(Invoice Template)

The template to use for invoices created during this process

merchant_account_idstring(Merchant Account)required

The merchant account that the store should use to receive payments

multiple_certification_discount_optionsobject(Multiple Certification Discount Options)required
notesstring(Notes)

Notes

pay_later_optionsobject(Pay Later Options)
portal_browse_certification_programs_modestring(Portal Browse Certification Programs Mode)

The way certification programs are browsed in the portal

Enum:"list""tiled"
restocking_fee_product_idstring(Restocking Fee Product)

The ID of the product used for restocking fees

special_instructionsstring(Special Instructions)

Instructions shown to the user

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

training_provider_administration_optionsobject(Training Provider Administration Options)
training_provider_billing_optionsobject(Training Provider Billing Options)required
use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether to use pro forma invoices when user elects to pay later

Response
{ "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "bill_my_parent_organization_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { "simple_checkout_donation_options": { … }, "type": "simple" }, "contact_role_permissions": [ { … } ], "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { "fee_percentage": 0.1, "maximum_fee": 0.1, "minimum_fee": 0.1, "product_id": "string", "prompt_sub_text": "string", "prompt_text": "string" }, "custom_application_portal_template": "string", "default_application_360_screen_id": "string", "default_application_page_layout_id": "string", "default_certification_360_screen_id": "string", "default_certification_page_layout_id": "string", "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_custom_application_portal_template": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_multiple_certification_discounts": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "enable_training_provider_administration": true, "enable_training_provider_billing": true, "installment_plan_options": [ { … } ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "merchant_account_id": "string", "multiple_certification_discount_options": { "discount_amount": 0.1, "discount_type": "amount", "ineligible_program_ids": [ … ], "start_after": 0.1 }, "notes": "string", "pay_later_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "portal_browse_certification_programs_mode": "list", "restocking_fee_product_id": "string", "special_instructions": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "training_provider_administration_options": { "access_saved_queries": true, "create_contact_form_id": "string", "edit_contact_form_id": "string", "saved_queries": [ … ] }, "training_provider_billing_options": { "certification_fee_id": "string", "course_fee_id": "string", "live_exam_fee_id": "string", "reinstatement_fee_id": "string", "remote_proctor_exam_fee_id": "string", "renewal_fee_id": "string", "retest_fee_id": "string" }, "use_pro_forma_invoices": true }